<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../../config/database.php';
include_once '../../class/userauth.php';
include_once '../constant/validateApiData.php';

$database = new Database();
$db = $database->getConnection();
$item = new UserAuth($db);
$status = "false";
$data = "Invalid API Call";
$code = "0";
include_once '../constant/secure_token.php';
$apiData = json_decode(file_get_contents("php://input"));
if (
    apiValidateString($apiData->mobile, "mobile")
) {
    $item->mobile = $apiData->mobile;
    $status = "false";
    $data = "Invalid API Call";
    $code = "0";
    if ($item->userAlreadyExist()) {
        $status = "true";
        $data = "User Already Exist";
        $code = "1001";
    } else {
        $status = "false";
        $data = "User Not Exist";
        $code = "1001";
    }
    echo json_encode(array("data" => $data, "status" => $status, "code" => $code));
} else {
    die;
}
