<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");
include_once '../../config/database.php';
include_once '../../class/userauth.php';
include_once '../constant/validateApiData.php';
$database = new Database();
$db = $database->getConnection();
$item = new UserAuth($db);
include_once '../constant/secure_token.php';
$status = "false";
$data = "Invalid API Call";
$code = "0";
$apiData = json_decode(file_get_contents("php://input"));
if (
    apiValidateString($apiData->user_id, "user_id") &&
    apiValidateString($apiData->notifyMain, "notifyMain", false) &&
    apiValidateString($apiData->notifyMarket, "notifyMarket", false) &&
    apiValidateString($apiData->notifyStarline, "notifyStarline", false)
) {
    $item->id = $apiData->user_id;
    $item->notifyMain = $apiData->notifyMain;
    $item->notifyMarket = $apiData->notifyMarket;
    $item->notifyStarline = $apiData->notifyStarline;
    $item->lastLogin = date('Y-m-d H:i:s');
    
    if ($item->updateUserAppSetting()) {
        $status = "true";
        $data = "User Updated Successfully";
        $code = "2004";
    } else {
        $status = "false";
        $data = "User Could Not Be Updated";
        $code = "2005";
    }
    echo json_encode(array("data" => $data, "status" => $status, "code" => $code));
} else {
    die;
}
