<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");
include_once '../../config/database.php';
include_once '../../class/userauth.php';
include_once '../constant/validateApiData.php';
$database = new Database();
$db = $database->getConnection();
$item = new UserAuth($db);
include_once '../constant/secure_token.php';
$status = "false";
$data = "Invalid API Call";
$code = "0";
$apiData = json_decode(file_get_contents("php://input"));
if (
    apiValidateString($apiData->user_id, "user_id") &&
    apiValidateString($apiData->deviceId, "deviceId", false) &&
    apiValidateString($apiData->deviceName, "deviceName", false) &&
    apiValidateString($apiData->deviceToken, "deviceToken", false) &&
    apiValidateString($apiData->location, "location")
) {
    $item->id = $apiData->user_id;
    $item->deviceId = $apiData->deviceId;
    $item->deviceName = $apiData->deviceName;
    $item->deviceToken = $apiData->deviceToken;
    $item->location = $apiData->location;
    $item->lastLogin = date('Y-m-d H:i:s');
    
    if ($item->updateUserDeviceDetail()) {
        $status = "true";
        $data = "User Updated Successfully";
        $code = "2004";
    } else {
        $status = "false";
        $data = "User Could Not Be Updated";
        $code = "2005";
    }
    echo json_encode(array("data" => $data, "status" => $status, "code" => $code));
} else {
    die;
}
