<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../../config/database.php';
include_once '../../class/userauth.php';
include_once '../../class/otp.php';
include_once '../constant/validateApiData.php';
$database = new Database();
$db = $database->getConnection();
$item = new UserAuth($db);
include_once '../constant/secure_token.php';
$status = "false";
$data = "Invalid API Call";
$code = "0";

$apiData = json_decode(file_get_contents("php://input"));
if (
    apiValidateString($apiData->mobile, "mobile")
) {
    $item->mobile = $apiData->mobile;
    if ($item->userAlreadyExist()) {
        $detailSTMT = $item->getUserDetail();
        if ($detailSTMT->rowCount() > 0) {
            $status = "true";
            $code = "3002";
            $dataRow = $detailSTMT->fetch(PDO::FETCH_ASSOC);
            $item->id = $dataRow['id'];
            $item->name = $dataRow['name'];
            $item->email = $dataRow['email'];
            $item->mobile = $dataRow['mobile'];
            $item->createdOn = $dataRow['createdOn'];
            $item->lastLogin = $dataRow['lastLogin'];
            $item->isBlocked = $dataRow['isBlocked'];
            $data = $dataRow;
        } else {
            $status = "false";
            $data = "Invalid User";
            $code = "3001";
        }
    } else {
        $status = "false";
        $data = "Invalid User";
        $code = "3001";
    }
    echo json_encode(array("data" => $data, "status" => $status, "code" => $code));
} else {
    die;
}
