<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../../config/database.php';
include_once '../../class/userauth.php';
include_once '../../class/otp.php';
include_once '../constant/validateApiData.php';
$database = new Database();
$db = $database->getConnection();
$item = new UserAuth($db);
$status = "false";
$data = "Invalid API Call";
$code = "0";
include_once '../constant/secure_token.php';
$apiData = json_decode(file_get_contents("php://input"));
if (
    apiValidateString($apiData->mobile, "mobile") &&
    apiValidateString($apiData->name, "name") &&
    apiValidateString($apiData->password, "password") &&
    apiValidateString($apiData->deviceId, "deviceId", false) &&
    apiValidateString($apiData->deviceName, "deviceName", false) &&
    apiValidateString($apiData->deviceToken, "deviceToken", false) &&
    apiValidateString($apiData->location, "location", false)
) {
    $item->name = $apiData->name;
    $item->email = $apiData->email;
    $item->mobile = $apiData->mobile;
    $item->password = md5($apiData->password);
    $item->createdOn = date('Y-m-d H:i:s');
    $item->lastLogin = date('Y-m-d H:i:s');
    $item->deviceId = $apiData->deviceId;
    $item->deviceName = $apiData->deviceName;
    $item->deviceToken = $apiData->deviceToken;
    $item->location = $apiData->location;
    $item->notifyMain = 1;
    $item->notifyMarket = 1;
    $item->notifyStarline = 1;

    if ($item->userAlreadyExist()) {
        $status = "false";
        $data = "User Already Exist";
        $code = "1001";
    } else {
        if ($item->createMatkaUser()) {
            $status = "true";
            $data = array(
                "id" => $item->id,
                "name" => $item->name,
                "email" => $item->email,
                "mobile" => $item->mobile,
                "createdOn" => $item->createdOn,
                "lastLogin" => $item->lastLogin,
                "isBlocked" => false,
                "deviceId" => $item->deviceId,
                "deviceName" => $item->deviceName,
                "deviceToken" => $item->deviceToken,
                "location" => $item->location,
                "notifyMain" => $item->notifyMain,
                "notifyMarket" => $item->notifyMarket,
                "notifyStarline" => $item->notifyStarline,
            );
            $code = "1002";
        } else {
            $status = "false";
            $data = "User Could Not Be Created";
            $code = "1003";
        }
    }
    echo json_encode(array("data" => $data, "status" => $status, "code" => $code));
} else {
    die;
}
