<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../../config/database.php';
include_once '../../class/bank_detail.php';
include_once '../constant/validateApiData.php';

$database = new Database();
$db = $database->getConnection();

$item = new BankDetail($db);

include_once '../constant/secure_token.php';

$apiData = json_decode(file_get_contents("php://input"));

$status = "false";
$data = "Invalid API Call";
$code = "0";

if (
    apiValidateString($apiData->user_id, "user_id") &&
    apiValidateString($apiData->mobile, "mobile") &&
    apiValidateString($apiData->acc_num, "acc_num") &&
    apiValidateString($apiData->ifsc_code, "ifsc_code") &&
    apiValidateString($apiData->bank_name, "bank_name") &&
    apiValidateString($apiData->acc_holder_name, "acc_holder_name")
) {
    $item->user_id = $apiData->user_id;
    $item->mobile = $apiData->mobile;
    $item->acc_num = $apiData->acc_num;
    $item->ifsc_code = $apiData->ifsc_code;
    $item->bank_name = $apiData->bank_name;
    $item->acc_holder_name = $apiData->acc_holder_name;
    $item->vpa = isset($apiData->vpa) ? $apiData->vpa : "";
    $item->createdOn = date('Y-m-d H:i:s');

    if ($item->checkBankExistOrNot()) {
        $status = "false";
        $data = "Bank Detail Already Exist!";
        $code = "3201";
    } else {
        if ($item->createBankDetail()) {
            $status = "true";
            $data = "Bank Detail Added Successfully!";
            $code = "3202";
        } else {
            $status = "false";
            $data = "Bank Detail Could Not Be Added!";
            $code = "3203";
        }
        echo json_encode(array("data" => $data, "status" => $status, "code" => $code));
    }
} else {
    die;
}
