<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");

include_once '../../config/database.php';
include_once '../../class/bank_detail.php';
include_once '../../class/userauth.php';
include_once '../constant/validateApiData.php';

$database = new Database();
$db = $database->getConnection();

include_once '../constant/secure_token.php';

$apiData = json_decode(file_get_contents("php://input"));
if (apiValidateString($apiData->user_id, "user_id")) {
    $obj = new BankDetail($db);
    $authObj = new UserAuth($db);

    $obj->user_id = $apiData->user_id;

    $authObj->id = $apiData->user_id;
    if ($authObj->userAlreadyExistFromId()) {
        $stmt = $obj->getBankDetail();
        if ($stmt->rowCount() > 0) {
            $status = "true";
            $code = "3204";
            $dataRow = $stmt->fetchAll(PDO::FETCH_ASSOC);
            $data = $dataRow;
        } else {
            $status = "true";
            $data = [];
            $code = "3204";
        }
    } else {
        $status = "true";
        $data = "Invalid User";
        $code = "3001";
    }
    
    echo json_encode(array("data" => $data, "status" => $status, "code" => $code));
} else {
    die;
}
