<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../../config/database.php';
include_once '../../class/devices.php';
include_once '../constant/validateApiData.php';

$database = new Database();
$db = $database->getConnection();

$item = new Devices($db);

$status = "false";
$data = "Invalid API Call";
$code = "0";

include_once '../constant/secure_token.php';

$apiData = json_decode(file_get_contents("php://input"));

if (
    apiValidateString($apiData->userId, "userId") &&
    apiValidateString($apiData->device_token, "device_token") &&
    apiValidateString($apiData->location, "location")
) {
    $item->userId = $apiData->userId;
    $item->token = $apiData->device_token;
    $item->location = $apiData->location;
    $item->lastLogin = date('Y-m-d H:i:s');
    $item->createdOn = date('Y-m-d H:i:s');

    if ($item->createDevice()) {
        $status = "true";
        $data = "Device Added Successfully";
        $code = "3101";
    } else {
        $status = "false";
        $data = "Device Could Not Be Added";
        $code = "3102";
    }

    echo json_encode(array("data" => $data, "status" => $status, "code" => $code));
} else {
    die;
}
