<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../../config/database.php';
include_once '../../class/devices.php';
include_once '../constant/validateApiData.php';

$database = new Database();
$db = $database->getConnection();

$item = new Devices($db);

include_once '../constant/secure_token.php';

$status = "false";
$data = "Invalid API Call";
$code = "0";

$apiData = json_decode(file_get_contents("php://input"));

if (
    apiValidateString($apiData->user_id, "user_id") &&
    apiValidateString($apiData->device_token, "device_token")
) {
    $item->userId = $apiData->user_id;
    $item->token = $apiData->device_token;

    if ($item->deleteDevice()) {
        $status = "true";
        $data = "Device Deleted Successfully";
        $code = "3103";
    } else {
        $status = "false";
        $data = "Device Could Not Be Deleted";
        $code = "3104";
    }

    echo json_encode(array("data" => $data, "status" => $status, "code" => $code));
} else {
    die;
}
