<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");

include_once '../../config/database.php';
include_once '../../class/devices.php';
include_once '../constant/validateApiData.php';

$database = new Database();
$db = $database->getConnection();

$item = new Devices($db);

include_once '../constant/secure_token.php';

$status = "false";
$data = "Invalid API Call";
$code = "0";

$apiData = json_decode(file_get_contents("php://input"));

if (
    apiValidateString($apiData->userId, "userId")
) {
    $item->userId = $apiData->userId;
    $stmt = $item->getDevices();
    $itemCount = $stmt->rowCount();
    $deviceArr = [];

    if ($itemCount > 0) {

        $deviceArr["devices"] = array();
        $deviceArr["itemCount"] = $itemCount;

        while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
            extract($row);
            $e = array(
                "id" => $id,
                "userId" => $userId,
                "device_token" => $device_token,
                "location" => $location,
                "lastLogin" => $lastLogin,
                "createdOn" => $createdOn
            );
            array_push($deviceArr["devices"], $e);
        }
        $status = "true";
        $data = "Devices Read Successfully";
        $code = "3105";

        $deviceArr["status"] = $status;
        $deviceArr["message"] = $data;
        $deviceArr["code"] = $code;

        echo json_encode($deviceArr);
    } else {
        $status = "false";
        $data = "Devices Empty";
        $code = "3106";

        $deviceArr["status"] = $status;
        $deviceArr["devices"] = array();
        $deviceArr["message"] = $data;
        $deviceArr["code"] = $code;

        echo json_encode($deviceArr);
    }
}
