<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../../config/database.php';
include_once '../../class/market_bid.php';
include_once '../../class/userauth.php';
include_once '../constant/validateApiData.php';

$database = new Database();
$db = $database->getConnection();

include_once '../constant/secure_token.php';

$apiData = json_decode(file_get_contents("php://input"));

$status = "false";
$data = "Invalid API Call";
$code = "0";

if (
    apiValidateString($apiData->marketId, "marketId") &&
    apiValidateString($apiData->gameId, "gameId") &&
    apiValidateString($apiData->userId, "userId") &&
    apiValidateString($apiData->bid_digit, "bid_digit") &&
    apiValidateString($apiData->bid_point, "bid_point") &&
    apiValidateString($apiData->session, "session")
) {
    $item = new MarketBid($db);
    $authObj = new UserAuth($db);

    $item->marketId = $apiData->marketId;
    $item->gameId = $apiData->gameId;
    $item->userId = $apiData->userId;
    $item->bid_digit = $apiData->bid_digit;
    $item->bid_point = $apiData->bid_point;
    $item->session = $apiData->session;
    $item->createdOn = date('Y-m-d H:i:s');

    $authObj->id = $apiData->userId;
    if ($authObj->userAlreadyExistFromId()) {
        if ($item->addMarketBid()) {
            $status = "true";
            $data = "Market Bid Added Successfully";
            $code = "4001";
        } else {
            $status = "false";
            $data = "Market Bid Could Not Be Added";
            $code = "4002";
        }
    } else {
        $status = "true";
        $data = "Invalid User";
        $code = "4004";
    }
    echo json_encode(array("data" => $data, "status" => $status, "code" => $code));
} else {
    die;
}
