<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");

include_once '../../config/database.php';
include_once '../../class/market_result.php';
include_once '../constant/validateApiData.php';

$database = new Database();
$db = $database->getConnection();

include_once '../constant/secure_token.php';

$apiData = json_decode(file_get_contents("php://input"));
if (apiValidateString($apiData->createdOn, "createdOn")) {
    $obj = new MarketResult($db);
    $obj->createdOn = $apiData->createdOn;
    $stmt = $obj->getMarketResultHistory();
    try {
        if ($stmt->execute()) {
            if ($stmt->rowCount() > 0) {
                $dataRow = $stmt->fetchAll(PDO::FETCH_ASSOC);

                $status = "true";
                $data = $dataRow;
                $code = "4005";
            } else {
                $status = "true";
                $data = [];
                $code = "4005";
            }
        } else {
            $status = "false";
            $data = "Could not read Market Result";
            $code = "4006";
        }
    } catch (Exception $e) {
        $status = "false";
        $data = "Could not read Market Result";
        $code = "4006";
    }



    echo json_encode(array("data" => $data, "status" => $status, "code" => $code));
} else {
    die;
}
