<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");

include_once '../../config/database.php';
include_once '../../class/matka_market.php';


$database = new Database();
$db = $database->getConnection();

include_once '../constant/secure_token.php';

$items = new MatkaMarket($db);

$stmt = $items->getAllMatkaMarket();
$itemCount = $stmt->rowCount();

// echo json_encode($itemCount);

if ($itemCount > 0) {

    //////////////////////////////////////////////////////////////////////////////
    $from_date = date_create();
    $to_date = date_create();
    if (((int)$from_date->format('H')) < 7) {
        date_sub($from_date, date_interval_create_from_date_string('1 days'));
    } else {
        date_add($to_date, date_interval_create_from_date_string('1 days'));
    }
    date_time_set($from_date, 7, 00, 00);
    date_time_set($to_date, 6, 59, 59);
    $from_date = strval(date_format($from_date, 'Y-m-d H:i:s'));
    $to_date = strval(date_format($to_date, 'Y-m-d H:i:s'));
    ///////////////////////////////////////////////////////////////////////////////

    $matkaMarketArr = array();
    $matkaMarketArr["markets"] = array();
    $matkaMarketArr["itemCount"] = $itemCount;

    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
        extract($row);

        $e = array(
            "id" => $id,
            "market_name" => $market_name,
            "open_time" => $open_time,
            "close_time" => $close_time,
            "schedule" => $schedule,
            "market_result" => $items->getMarketResult($id, $from_date, $to_date),
        );

        $matkaMarketArr["status"] = "true";
        array_push($matkaMarketArr["markets"], $e);
    }
    echo json_encode($matkaMarketArr);
} else {
    http_response_code(404);
    echo json_encode(
        array("status" => "false")
    );
}
