<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../../config/database.php';
include_once '../../class/passbook.php';
include_once '../constant/validateApiData.php';

$database = new Database();
$db = $database->getConnection();

$item = new Passbook($db);

include_once '../constant/secure_token.php';

$apiData = json_decode(file_get_contents("php://input"));

$status = "false";
$data = "Invalid API Call";
$code = "0";

if (
    apiValidateString($apiData->user_id, "user_id") &&
    apiValidateString($apiData->txn_id, "txn_id") &&
    apiValidateString($apiData->status, "status") &&
    apiValidateString($apiData->type, "type") &&
    apiValidateString($apiData->description, "description") &&
    apiValidateString($apiData->debit, "debit")
) {
    $item->user_id = $apiData->user_id;
    $curBalance = 0;
    if ($balanceSTMT = $item->getWalletBalance()) {
        if ($balanceSTMT->rowCount() > 0) {
            $curBalance = intval($balanceSTMT->fetch(PDO::FETCH_ASSOC)["balance"]);
        }

        $item->txn_id = $apiData->txn_id;
        $item->type = $apiData->type;                         // market /  deposit / withdraw
        $item->status = $apiData->status;               // 1 / 0
        $item->debit = $apiData->debit;
        $item->description = $apiData->description;
        // $apiData->status == 0 ? "Wallet Points Could Not Be Added" : "Wallet Points Added Successfully";
        $item->balance = $apiData->status == 0 ? $curBalance : $curBalance + $apiData->debit;
        $item->createdOn = date('Y-m-d H:i:s');

        if ($item->debitWalletPoints()) {
            $status = "true";
            $data = "Points Added Successfully";
            $code = "3005";
        } else {
            $status = "false";
            $data = "Points Could Not Be Added";
            $code = "3006";
        }

        echo json_encode(array("data" => $data, "status" => $status, "code" => $code));
    } else {
        $status = "false";
        $data = "Points Could Not Be Added";
        $code = "3006";
        echo json_encode(array("data" => $data, "status" => $status, "code" => $code));
    }
} else {
    die;
}
