<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../../config/database.php';
include_once '../../class/passbook.php';
include_once '../constant/validateApiData.php';

$database = new Database();
$db = $database->getConnection();

$item = new Passbook($db);

include_once '../constant/secure_token.php';

$apiData = json_decode(file_get_contents("php://input"));

$status = "false";
$data = "Invalid API Call";
$code = "0";

if (
    apiValidateString($apiData->user_id, "user_id") &&
    apiValidateString($apiData->txn_id, "txn_id") &&
    apiValidateString($apiData->type, "type") &&
    apiValidateString($apiData->status, "status") &&
    apiValidateString($apiData->description, "description") &&
    apiValidateString($apiData->credit, "credit")
) {
    $item->user_id = $apiData->user_id;
    if ($balanceSTMT = $item->getWalletBalance()) {
        if ($balanceSTMT->rowCount() > 0) {
            $curBalance = intval($balanceSTMT->fetch(PDO::FETCH_ASSOC)["balance"]);

            if ($curBalance >= $apiData->credit) {
                $item->txn_id = $apiData->txn_id;
                $item->type = $apiData->type;                         // market / wallet
                $item->status = $apiData->status;               // 1 / 0
                $item->credit = $apiData->credit;
                $item->description = $apiData->description;
                $item->balance = $curBalance - $apiData->credit;
                $item->createdOn = date('Y-m-d H:i:s');

                if ($item->creditWalletPoints()) {
                    $status = "true";
                    $data = "Points Deducted Successfully";
                    $code = "3007";
                } else {
                    $status = "false";
                    $data = "Points Could Not Be Deducted";
                    $code = "3008";
                }
            } else {
                $status = "false";
                $data = "Dont Have Enough Points to Deduct";
                $code = "3009";
            }
        } else {
            $status = "false";
            $data = "Points Could Not Be Deducted";
            $code = "3008";
        }
    } else {
        $status = "false";
        $data = "Points Could Not Be Deducted";
        $code = "3008";
    }
    echo json_encode(array("data" => $data, "status" => $status, "code" => $code));
} else {
    die;
}
