<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");

include_once '../../config/database.php';
include_once '../../class/passbook.php';
include_once '../../class/userauth.php';
include_once '../constant/validateApiData.php';

$database = new Database();
$db = $database->getConnection();

include_once '../constant/secure_token.php';

$apiData = json_decode(file_get_contents("php://input"));
if (apiValidateString($apiData->user_id, "user_id")) {
    $obj = new Passbook($db);
    $authObj = new UserAuth($db);
    $obj->user_id = $apiData->user_id;
    $authObj->id = $apiData->user_id;
    if ($authObj->userAlreadyExistFromId()) {
        $stmt = $obj->getWalletBalance();
        if ($stmt->rowCount() > 0) {
            $status = "true";
            $code = "3003";
            $dataRow = $stmt->fetch(PDO::FETCH_ASSOC);
            $data = $dataRow["balance"];
        } else {
            $status = "true";
            $data = "0";
            $code = "3003";
        }
    } else {
        $status = "true";
        $data = "Invalid User";
        $code = "3001";
    }
    
    echo json_encode(array("data" => $data, "status" => $status, "code" => $code));
} else {
    die;
}
