<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../../config/database.php';
include_once '../../class/otp.php';
include_once '../constant/validateApiData.php';

$database = new Database();
$db = $database->getConnection();

$item = new OTP($db);

include_once '../constant/secure_token.php';

$apiData = json_decode(file_get_contents("php://input"));

$status = "false";
$data = "Invalid API Call";
$code = "0";

if (
    apiValidateString($apiData->mobile, "mobile") &&
    apiValidateString($apiData->otp, "otp")
) {
    $item->mobile = $apiData->mobile;
    $item->otp = $apiData->otp;
    $item->message = "$apiData->otp is your verification code for MK GROUP. OTP is valid for only 5 minutes.";
    $item->createdOn = date('Y-m-d H:i:s');

    if ($item->sendOtp2()) {
        $item->reason = "Registration";
        $item->saveOtpDetail();
        $status = "true";
        $data = "SMS Send Successfully";
        $code = "1101";
    } else {
        $status = "false";
        $data = "SMS Sending Failed";
        $code = "1102";
    }

    echo json_encode(array("data" => $data, "status" => $status, "code" => $code));
} else {
    die;
}
