<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../../config/database.php';
include_once '../../class/starline_bid.php';
include_once '../../class/userauth.php';
include_once '../constant/validateApiData.php';

$database = new Database();
$db = $database->getConnection();

include_once '../constant/secure_token.php';
$apiData = json_decode(file_get_contents("php://input"));
$status = "false";
$data = "Invalid API Call";
$code = "0";
if (
    apiValidateString($apiData->starlineId, "starlineId") &&
    apiValidateString($apiData->gameId, "gameId") &&
    apiValidateString($apiData->userId, "userId") &&
    apiValidateString($apiData->bid_digit, "bid_digit") &&
    apiValidateString($apiData->bid_point, "bid_point")
) {
    $item = new StarlineBid($db);
    $authObj = new UserAuth($db);
    $item->starlineId = $apiData->starlineId;
    $item->gameId = $apiData->gameId;
    $item->userId = $apiData->userId;
    $item->bid_digit = $apiData->bid_digit;
    $item->bid_point = $apiData->bid_point;
    $item->createdOn = date('Y-m-d H:i:s');
    $authObj->id = $apiData->userId;
    if ($authObj->userAlreadyExistFromId()) {
        if ($item->addStarlineBid()) {
            $status = "true";
            $data = "Starline Bid Added Successfully";
            $code = "6001";
        } else {
            $status = "false";
            $data = "Starline Bid Could Not Be Added";
            $code = "6002";
        }
    } else {
        $status = "true";
        $data = "Invalid User";
        $code = "6004";
    }
    
    echo json_encode(array("data" => $data, "status" => $status, "code" => $code));
} else {
    die;
}
