<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");

include_once '../../config/database.php';
include_once '../../class/starline_bid.php';
include_once '../../class/userauth.php';
include_once '../constant/validateApiData.php';
$database = new Database();
$db = $database->getConnection();
include_once '../constant/secure_token.php';
$apiData = json_decode(file_get_contents("php://input"));
if (
    apiValidateString($apiData->user_id, "user_id") &&
    apiValidateString($apiData->last_entry_id, "last_entry_id")  &&
    apiValidateString($apiData->starlineId, "starlineId") &&
    apiValidateString($apiData->createdOn, "createdOn") &&
    apiValidateString($apiData->winning_status, "winning_status")
) {
    $obj = new StarlineBid($db);
    $authObj = new UserAuth($db);

    $obj->userId = $apiData->user_id;
    $obj->starlineId = $apiData->starlineId;
    $obj->lastEntryId = $apiData->last_entry_id;
    $obj->createdOn = $apiData->createdOn;
    $obj->winning_status = $apiData->winning_status;

    $authObj->id = $apiData->user_id;
    if ($authObj->userAlreadyExistFromId()) {
        $status = "true";
        $code = "6003";
        $dataRow = $obj->getSpecificStarlineBidHistory();
        $data = $dataRow;
    } else {
        $status = "true";
        $data = "Invalid User";
        $code = "6004";
    }
    echo json_encode(array("data" => $data, "status" => $status, "code" => $code));
} else {
    die;
}
