<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");

include_once '../../config/database.php';
include_once '../../class/starline_market.php';
include_once '../constant/validateApiData.php';
$database = new Database();
$db = $database->getConnection();
include_once '../constant/secure_token.php';
$apiData = json_decode(file_get_contents("php://input"));
if (apiValidateString($apiData->daynight, "daynight")) {
    $items = new StarlineMarket($db);
    $stmt = $items->getAllStarlineMarket($apiData->daynight);
    $itemCount = $stmt->rowCount();
    if ($itemCount > 0) {
        //////////////////////////////////////////////////////////////////////////////
        $from_date = date_create();
        $to_date = date_create();

        if ($apiData->daynight == "day") {
            if (((int)$from_date->format('H')) < 9) {
                date_sub($from_date, date_interval_create_from_date_string('1 days'));
            } else {
                date_add($to_date, date_interval_create_from_date_string('1 days'));
            }
            date_time_set($from_date, 9, 00, 00);
            date_time_set($to_date, 8, 59, 59);
        } else {
            if (((int)$from_date->format('H')) < 21) {
                date_sub($from_date, date_interval_create_from_date_string('1 days'));
            } else {
                date_add($to_date, date_interval_create_from_date_string('1 days'));
            }
            date_time_set($from_date, 21, 00, 00);
            date_time_set($to_date, 20, 59, 59);
        }
        $from_date = strval(date_format($from_date, 'Y-m-d H:i:s'));
        $to_date = strval(date_format($to_date, 'Y-m-d H:i:s'));
        ///////////////////////////////////////////////////////////////////////////////

        $starlineArr = array();
        $starlineArr["starlines"] = array();
        $starlineArr["itemCount"] = $itemCount;
        while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
            extract($row);

            $e = array(
                "id" => $id,
                "time" => $time,
                "dayandnight" => $dayandnight,
                "schedule" => $schedule,
                "starline_result" => $items->getStarlineResult($id, $from_date, $to_date),
            );
            $starlineArr["status"] = "true";
            array_push($starlineArr["starlines"], $e);
        }
        echo json_encode($starlineArr);
    } else {
        http_response_code(404);
        echo json_encode(
            array("status" => "false")
        );
    }
} else {
    die;
}
