<?php
    error_reporting(0);
    class BankDetail{
        // Connection
        private $conn;
        // Table
        private $db_table = "bank_detail";
        // Columns
        public $id;
        public $user_id;
        public $mobile;
        public $acc_num;
        public $ifsc_code;
        public $bank_name;
        public $acc_holder_name;
        public $vpa;
        public $can_alter;
        public $createdOn;
        
        // Db connection
        public function __construct($db){
            $this->conn = $db;
        }

        public function checkBankExistOrNot(){
            $sqlQuery = "SELECT
                        *
                      FROM
                        ". $this->db_table ."
                    WHERE 
                       user_id = ? AND can_alter = 0 ORDER BY createdOn DESC LIMIT 0,1";
            $stmt = $this->conn->prepare($sqlQuery);
            $stmt->bindParam(1, $this->user_id);
            $stmt->execute();
            if($stmt->rowCount() > 0){
                return true;
            }else{
                return false;
            }
        }

        // GET ALL
        public function getBankDetail(){
            $sqlQuery = "SELECT
                        *
                      FROM
                        ". $this->db_table ."
                    WHERE 
                       user_id = ? AND can_alter = 0 ORDER BY createdOn DESC, id DESC LIMIT 0,1";
            $stmt = $this->conn->prepare($sqlQuery);
            $stmt->bindParam(1, $this->user_id);
            $stmt->execute();
            return $stmt;
        }

        // CREATE
        public function createBankDetail(){
            $sqlQuery = "INSERT INTO
                        ". $this->db_table ."
                    SET
                        user_id = :user_id, 
                        mobile = :mobile, 
                        acc_num = :acc_num, 
                        ifsc_code = :ifsc_code, 
                        bank_name = :bank_name, 
                        acc_holder_name = :acc_holder_name, 
                        vpa = :vpa,
                        createdOn = :createdOn";
        
            $stmt = $this->conn->prepare($sqlQuery);
        
            // sanitize
            $this->user_id=htmlspecialchars(strip_tags($this->user_id));
            $this->mobile=htmlspecialchars(strip_tags($this->mobile));
            $this->acc_num=htmlspecialchars(strip_tags($this->acc_num));
            $this->ifsc_code=htmlspecialchars(strip_tags($this->ifsc_code));
            $this->bank_name=htmlspecialchars(strip_tags($this->bank_name));
            $this->acc_holder_name=htmlspecialchars(strip_tags($this->acc_holder_name));
            $this->createdOn=htmlspecialchars(strip_tags($this->createdOn));
        
            // bind data
            $stmt->bindParam(":user_id", $this->user_id);
            $stmt->bindParam(":mobile", $this->mobile);
            $stmt->bindParam(":acc_num", $this->acc_num);
            $stmt->bindParam(":ifsc_code", $this->ifsc_code);
            $stmt->bindParam(":bank_name", $this->bank_name);
            $stmt->bindParam(":acc_holder_name", $this->acc_holder_name);
            $stmt->bindParam(":vpa", $this->vpa);
            $stmt->bindParam(":createdOn", $this->createdOn);
        
            if($stmt->execute()){
               return true;
            }
            return false;
        }      

        // DELETE
        function deleteBankDetail(){
            $sqlQuery = "DELETE FROM " . $this->db_table . " WHERE id = ?";
            $stmt = $this->conn->prepare($sqlQuery);
            $this->id=htmlspecialchars(strip_tags($this->id));
            $stmt->bindParam(1, $this->id);
            if($stmt->execute()){
                return true;
            }
            return false;
        }

    }
?>

