<?php
    error_reporting(0);
    class MatkaMarket{
        // Connection
        private $conn;
        // Table
        private $db_table = "matka_market";
        // Columns
        public $id;
        public $market_name;
        public $open_time;
        public $close_time;
        public $status;
        public $is_deleted;
        public $schedule;
        public $created_by;
        public $created_on;
        public $last_updated;
        // Db connection
        public function __construct($db){
            $this->conn = $db;
        }

        // GET ALL
        public function getAllMatkaMarket(){
            $sqlQuery = "SELECT * FROM ". $this->db_table ." WHERE is_deleted = 0 AND status = 1 ORDER BY STR_TO_DATE(`open_time`, '%l:%i %p')";
            $stmt = $this->conn->prepare($sqlQuery);
            $stmt->execute();
            return $stmt;
        }

        //Get Particular Market Result
        public function getMarketResult($mid, $from_date, $to_date){
            if($from_date == "" || $to_date == ""){
                $from_date = date_create();
                $to_date = date_create();
                if(((int)$from_date->format('H')) < 7){
                    date_sub($from_date, date_interval_create_from_date_string('1 days'));
                }else{  
                    date_add($to_date, date_interval_create_from_date_string('1 days'));
                }
                date_time_set($from_date, 7, 00, 00);
                date_time_set($to_date, 6, 59, 59);
                $from_date = strval(date_format($from_date, 'Y-m-d H:i:s'));
                $to_date = strval(date_format($to_date, 'Y-m-d H:i:s'));
            }
            $resultArr = null;
            $matka_market_result_query = "SELECT * FROM matka_market_result WHERE marketId = '$mid' AND (createdOn BETWEEN '$from_date' AND '$to_date')";
            $stmt = $this->conn->prepare($matka_market_result_query);
            $stmt->execute();
            $assoc_arr = $stmt->fetch(PDO::FETCH_ASSOC);
            if($stmt->rowCount() > 0){
                $resultArr = [
                    "marketId"=> $assoc_arr["marketId"],
                    "openDigit"=>$assoc_arr["openDigit"],
                    "jodiDigit"=>$assoc_arr["jodiDigit"],
                    "closeDigit"=>$assoc_arr["closeDigit"],
                    "createdOn"=>$assoc_arr["createdOn"]
                ];
            }
            return $resultArr;
        }
    }
