<?php
error_reporting(0);
class Notifications
{
    // Connection
    private $conn;
    // Table
    private $db_table = "notifications";
    // Columns
    public $id;
    public $title;
    public $body;
    public $admin_id;
    public $createdOn;

    public $lastEntryId = 0;
    private $entriesLimit = 10;

    // Db connection
    public function __construct($db)
    {
        $this->conn = $db;
    }

    public function getWeeklyNotification()
    {
        $querySymbol = $this->lastEntryId == 0 ? ">" : "<";
        $last7DaysDateTime = date_create();
        $currentDateTime = date_create();
        date_sub($last7DaysDateTime, date_interval_create_from_date_string('7 days'));
        $from_date = strval(date_format($last7DaysDateTime, 'Y-m-d H:i:s'));
        $to_date = strval(date_format($currentDateTime, 'Y-m-d H:i:s'));
        $sqlQuery = "SELECT
                        id, title, body, createdOn
                      FROM
                        " . $this->db_table . "
                    WHERE id ". $querySymbol ." :last_entry_id && (createdOn BETWEEN '$from_date' AND '$to_date') ORDER BY createdOn DESC, id DESC LIMIT ".$this->entriesLimit;
        
        $stmt = $this->conn->prepare($sqlQuery);
        //Filter Data
        $this->lastEntryId = htmlspecialchars(strip_tags($this->lastEntryId));
        //bind data
        $stmt->bindParam(":last_entry_id", $this->lastEntryId);
        $stmt->execute();
        return $stmt;

    }
}